﻿
# ext_m2_ProductFaq
  
This Magento 2 module adds the ability to View & Ask FAQs are being submitted by a customer and to be reviewed and published by admin. Upon a customer submitting these details they will be stored in the admin for an admin user to review, answer and then publish the response if required. When a question has been answered the customer will receive an email confirmation and the question and answer will be published to the product page.

Using this module admin can also assign FAQs of his choice to any product.

## Installation  
  
Use the package manager [composer](https://getcomposer.org/) to install the module.  
  
```bash  
composer require pinpoint/faq
```  

## Usage  
### View & Ask FAQs
Allows customers and guests on the store front to be able to view & ask questions about specific products. A customer is able to submit the following details with a question:
-   Name
-   Email
-   Question  

![StoreFront](https://github.com/PinpointDesigns/ext_m2_ProductFaq/blob/feature/OMD-62__ext_m2_ProductFaq/faq-form.png "StoreFront")

### Manage FAQs
To manage FAQs you go to Admin Dashboard `Admin > Content > FAQs`. From here you can get the submitted ones presented with a grid like shown below:
![FAQs Admin Grid](https://github.com/PinpointDesigns/ext_m2_ProductFaq/blob/feature/OMD-62__ext_m2_ProductFaq/faqs-grid.png "FAQs Admin Grid")

Admins have the ability to answer, publish, and notify the customer from edit page. To do this follow the next where you will then be presented with this screen to edit and save:
![Edit FAQ Admin](https://github.com/PinpointDesigns/ext_m2_ProductFaq/blob/feature/OMD-62__ext_m2_ProductFaq/faq-edit.png "Edit FAQ Admin")
 When Save button is hit an email will be sent to the customer to notify.

FAQs can be assigned to different and multiple products. To do this go to `Admin > Catalog > Products` click the determined product from the grid to visit this page from which you can select or deselect FAQs that you want to publish on this product storefront page.
![Product Related FAQS](https://github.com/PinpointDesigns/ext_m2_ProductFaq/blob/feature/OMD-62__ext_m2_ProductFaq/faq-product-select.png "Product Related FAQS")
